Skip to main content

Delete Customer

Delete a customer or partner.

Request​

Request-Line​

DELETE /sfd/v2.0/customers/{customerId} HTTP/1.1

Request Parameters​

Path Parameters​

ParameterTypeRequiredDescription
customerIdIntegerMandatoryUnique identifier of the customer record.

Response​

Status Codes, Error Codes and Error Messages​

Status CodeError CodeError Message
403CustomerChild.ExistCan't execute because customer has child customer.
404Customer.NotExistCan't execute because customer does not exist.
404Customer.NotAcceptableCan't execute because customer is a self-onboarding customer.

Examples​

Delete Customer​

Request​

DELETE /sfd/v2.0/customers/1 HTTP/1.1